Bug 474062 - db4 needs BuildRequires tcl-devel >= 8.5.2-3
db4 needs BuildRequires tcl-devel >= 8.5.2-3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 17:45 EST by Brad Hinson
Modified: 2013-07-02 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 06:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Hinson 2008-12-01 17:45:55 EST
Description of problem:
tcl-devel recently altered the location of tclConfig.sh, leading to db4 rpmbuild ./configure error:

configure: error: /usr/lib64/tcl8.5 directory doesn't contain tclConfig.sh
error: Bad exit status from /var/tmp/rpm-tmp.34926 (%build)
(this was with tcl-devel-8.5.1-4.fc9 installed)

From tcl changelog:

* Wed Jul 02 2008 Marcela Maslanova <mmaslano@redhat.com> - 1:8.5.2-3
- tclConfig.sh was fixed again with symlink into libdir/tcl8.5.

Updating db4 BuildRequires to tcl-devel >= 8.5.2-3 solves this.


Version-Release number of selected component (if applicable):
db4-4.7.25-5.fc10
Comment 1 Jindrich Novy 2008-12-02 06:54:40 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.